#
# Makefile.am
#

SUFFIXES = .m .c

lib_LTLIBRARIES = libcoconut_gl.la

CC=@CC@
OBJC=@OBJC@

CFLAGS 	  += $(GL_CFLAGS) $(XML_CFLAGS) $(POPT_CFLAGS)
OBJCFLAGS  = $(CFLAGS)
LIBS  	   = $(GL_LIBS) $(XML_LIBS)
OBJCLIBS   = $(LIBS)
LINK       = $(LIBTOOL) --mode=link $(CC) $(LIBS) $(LDFLAGS) -o $@
OBJCLINK   = $(LIBTOOL) --mode=link $(OBJC) $(LIBS) $(OBJCLIBS) $(LDFLAGS) -o $@

INCLUDES = -I$(top_srcdir) 

libcoconut_glincludedir = $(includedir)/coconut/gl

libcoconut_glinclude_HEADERS = \
	cglwidget.h \
	cglfactory.h \
	pglwidget.h

libcoconut_gl_la_SOURCES = \
	cglfactory.m \
	cglwidget.m

libcoconut_gl_la_LDFLAGS = \
  -version-info $(VERSION_INFO) \
  -dynamic

libcoconut_gl_la_LIBADD = $(OBJCLIBS)

